# The firmware blobs seem to trigger an
# "Arch dependent binaries in noarch package" error
%define _binaries_in_noarch_packages_terminate_build 0

%define tools_version 2.11.1
%define linux_version 2.11.1
#define beta_tools rc2
%define rel 9
# Modify this to "release"
%define release_tools %{?beta_tools:0.%{beta_tools}.}%rel
#define beta_linux rc2
%define release_linux %{?beta_linux:0.%{beta_linux}.}%rel

%define progs dahdi_diag fxstest hdlcgen hdlcstress hdlctest hdlcverify patgen patlooptest pattest timertest

%define major     2
%define libname   %mklibname tonezone %{major}
%define develname %mklibname tonezone -d

Summary:	Userspace tools and DAHDI kernel modules
Name:		dahdi
Version:	%{tools_version}
Release:	%mkrel %{release_tools}
Group:		System/Kernel and hardware
License:	GPLv2 and LGPLv2
URL:		https://www.asterisk.org/
Source0:	https://downloads.asterisk.org/pub/telephony/dahdi-tools/%{?!beta:releases/}dahdi-tools-%{tools_version}%{?beta_tools:-%{beta_tools}}.tar.gz
Source1:	https://downloads.asterisk.org/pub/telephony/dahdi-linux/%{?!beta:releases/}dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}.tar.gz

Source7:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a4a-a0017.tar.gz
Source8:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a4b-d001e.tar.gz
Source9:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a8a-1d0017.tar.gz
Source10:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-a8b-1f001e.tar.gz
Source11:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-hx8-2.06.tar.gz
Source12:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fwload-vpmadt032-1.25.0.tar.gz
Source13:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-032-1.05.01.tar.gz
Source14:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-064-1.05.01.tar.gz
Source15:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-128-1.05.01.tar.gz
Source16:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-oct6114-256-1.05.01.tar.gz
Source17:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-tc400m-MR6.12.tar.gz
Source18:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te133-7a001e.tar.gz
Source19:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te134-780017.tar.gz
Source20:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te435-13001e.tar.gz
Source21:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te436-10017.tar.gz
Source22:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-te820-1.76.tar.gz
Source23:	https://downloads.digium.com/pub/telephony/firmware/releases/dahdi-fw-vpmoct032-1.12.0.tar.gz
Source24:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-oct6114-064-1.05.01.tar.gz
Source25:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-oct6114-128-1.05.01.tar.gz
Source26:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-tc400m-MR5.6.tar.gz
Source27:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-tc400m-MR6.12.tar.gz
Source28:	https://downloads.digium.com/pub/telephony/firmware/releases/zaptel-fw-vpmadt032-1.07.tar.gz

Patch2:		dahdi-gcc47.diff
Patch3:		dahdi-tools-2.11.1-gcc10.patch
# Fixes building PIE executables
Patch5:		dahdi-tools-2.11.1-Respect-CFLAGS.patch

BuildRequires:	pkgconfig(libnewt)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	ppp-devel
BuildConflicts:	libtonezone-devel

%description
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
provides the userspace tools to configure the DAHDI kernel modules and the
kernel modules. DAHDI is the replacement for Zaptel, which must be renamed due
to trademark issues.

%package	tools
Summary:	Userspace tools to configure the DAHDI kernel modules
Group:		System/Kernel and hardware
Provides:	zaptel-tools = %{tools_version}-%{release}

%description	tools
DAHDI stands for Digium Asterisk Hardware Device Interface.

This package contains the userspace tools to configure the DAHDI kernel
modules. DAHDI is the replacement for Zaptel, which must be renamed due to
trademark issues.

The DAHDI Telephony Interface drivers is contained in the kernel-dahdi
(or dkms) package.

%package -n	%{libname}
Summary:	The shared DAHDI Library
Group:		System/Libraries

%description -n	%{libname}
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
contains the userspace tools to configure the DAHDI kernel modules. DAHDI is
the replacement for Zaptel, which must be renamed due to trademark issues.

This package contains libraries for accessing DAHDI hardware.

The DAHDI drivers is contained in the kernel-dahdi (or dkms) package.

%package -n	%{develname}
Summary:	Development files for the DAHDI Library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tonezone-devel = %{version}-%{release}
Provides:	dahdi-devel = %{version}-%{release}
Provides:	libtonezone-devel = %{version}-%{release}

%description -n	%{develname}
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
contains the userspace tools to configure the DAHDI kernel modules. DAHDI is
the replacement for Zaptel, which must be renamed due to trademark issues.

This package contains the tonezone library and the development headers for
DAHDI.

%package -n	perl-Dahdi
Summary:	Interface to Dahdi information
Group:		Development/Perl

%description -n	perl-Dahdi
DAHDI stands for Digium Asterisk Hardware Device Interface. This package
contains the userspace tools to configure the DAHDI kernel modules. DAHDI is
the replacement for Zaptel, which must be renamed due to trademark issues.

This package allows access from Perl to information about Dahdi hardware and
loaded Dahdi devices.

%package -n	dkms-dahdi
Summary:	Kernel drivers for the Digium Asterisk Hardware Device Interface (DAHDI)
Group:		System/Kernel and hardware
BuildArch:	noarch
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(post):	dkms
Requires(preun):	dkms
Requires:	dahdi-tools >= %{tools_version}
Requires:	sethdlc >= 1.15
Provides:	dkms-zaptel = %{linux_version}-%{release}

%description -n	dkms-dahdi
DAHDI stands for Digium Asterisk Hardware Device Interface.

This package contains the kernel modules for DAHDI. For the required 
userspace tools see the package dahdi-tools.

%prep

%setup -q -n dahdi-tools-%{tools_version}%{?beta_tools:-%{beta_tools}} -a1

%autopatch -p1

ln -s dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/include include

for i in %{SOURCE7} %{SOURCE8} %{SOURCE9} %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} \
    %{SOURCE16} %{SOURCE17} %{SOURCE18} %{SOURCE19} %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} \
    %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE28}; do
    cp -a $i dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/drivers/dahdi/firmware/
    tar -C dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/drivers/dahdi/firmware -zpxf $i
done

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type d -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%{__perl} -pi -e 's/chkconfig:\s([0-9]+)\s([0-9]+)\s([0-9]+)/chkconfig: - \2 \3/' dahdi.init

# bork bork...
find . -type f -name "Makefile" | xargs perl -pi -e "s|-Werror||g"
find . -type f -name "*.m4" | xargs perl -pi -e "s|-Werror||g"

%build
autoreconf -fi
%configure \
	--disable-static \
	--with-dahdi=`pwd` \
	--with-pic \
	--enable-pinned \
	--with-newt=%{_prefix} \
	--with-usb=%{_prefix} \
	--without-selinux \
	--with-perllib=%{perl_vendorlib} \
	--with-ppp=%{_prefix}

%make_build

for prog in %progs; do
%make_build $prog
done

%install
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{buildroot}%{_includedir}

make install config DESTDIR=%{buildroot} PERLLIBDIR=%{perl_vendorlib}

#pushd dahdi-linux-%%{linux_version}%%{?beta_linux:-%%{beta_linux}}/drivers/dahdi/firmware/
#	make hotplug-install DESTDIR=%%{buildroot}
#popd

for prog in %progs; do
    install -m0755 $prog %{buildroot}%{_sbindir}/
done

# fix one conflicting file with tetex
mv %{buildroot}%{_sbindir}/patgen %{buildroot}%{_sbindir}/%{name}-patgen

find %{buildroot} -name '*.a' -exec rm -f {} ';'

pushd dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}
    make DESTDIR=%{buildroot} \
	install-xpp-firm \
	install-firmware \
	install-include \
	HOTPLUG_FIRMWARE=yes \
	DYNFS=yes \
	UDEVRULES=yes \
	DOWNLOAD=echo \
	DAHDI_MODULES_EXTRA="cwain.o qozap.o ztgsm.o"
popd

# ugly crap
install -d %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/dahdi.rules %{buildroot}%{_udevrulesdir}/40-dahdi.rules
mv %{buildroot}%{_sysconfdir}/udev/rules.d/xpp.rules %{buildroot}%{_udevrulesdir}/40-xpp.rules

install -d %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}
cp	dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/Makefile \
	dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/.version \
	%{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/

cp -r	dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/build_tools \
	dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/drivers \
	dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/include \
	%{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/

mv %{buildroot}%{_sysconfdir}/dahdi/assigned-spans.conf.sample %{buildroot}%{_sysconfdir}/dahdi/assigned-spans.conf
mv %{buildroot}%{_sysconfdir}/dahdi/span-types.conf.sample %{buildroot}%{_sysconfdir}/dahdi/span-types.conf

# Remove files that produce weird dependencies
rm	%{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/drivers/dahdi/oct612x/get_discards

cat > %{buildroot}/usr/src/dahdi-%{linux_version}-%{release}/dkms.conf <<EOF
PACKAGE_VERSION="%{linux_version}-%{release}"

# Items below here should not have to change with each driver version
PACKAGE_NAME="dahdi"
MAKE[0]="make modules KERNVER=\$kernelver DOWNLOAD=echo"
CLEAN="make KERNVER=\$kernelver clean DOWNLOAD=echo"

BUILT_MODULE_NAME[0]="dahdi"
BUILT_MODULE_LOCATION[0]="drivers/dahdi/"
DEST_MODULE_LOCATION[0]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[1]="dahdi_dynamic"
BUILT_MODULE_LOCATION[1]="drivers/dahdi/"
DEST_MODULE_LOCATION[1]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[2]="dahdi_dynamic_eth"
BUILT_MODULE_LOCATION[2]="drivers/dahdi/"
DEST_MODULE_LOCATION[2]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[3]="dahdi_dynamic_loc"
BUILT_MODULE_LOCATION[3]="drivers/dahdi/"
DEST_MODULE_LOCATION[3]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[4]="dahdi_echocan_jpah"
BUILT_MODULE_LOCATION[4]="drivers/dahdi/"
DEST_MODULE_LOCATION[4]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[5]="dahdi_echocan_kb1"
BUILT_MODULE_LOCATION[5]="drivers/dahdi/"
DEST_MODULE_LOCATION[5]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[6]="dahdi_echocan_mg2"
BUILT_MODULE_LOCATION[6]="drivers/dahdi/"
DEST_MODULE_LOCATION[6]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[7]="dahdi_echocan_sec"
BUILT_MODULE_LOCATION[7]="drivers/dahdi/"
DEST_MODULE_LOCATION[7]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[8]="dahdi_echocan_sec2"
BUILT_MODULE_LOCATION[8]="drivers/dahdi/"
DEST_MODULE_LOCATION[8]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[9]="dahdi_transcode"
BUILT_MODULE_LOCATION[9]="drivers/dahdi/"
DEST_MODULE_LOCATION[9]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[10]="pciradio"
BUILT_MODULE_LOCATION[10]="drivers/dahdi/"
DEST_MODULE_LOCATION[10]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[11]="tor2"
BUILT_MODULE_LOCATION[11]="drivers/dahdi/"
DEST_MODULE_LOCATION[11]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[12]="wcb4xxp"
BUILT_MODULE_LOCATION[12]="drivers/dahdi/wcb4xxp/"
DEST_MODULE_LOCATION[12]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[13]="wcfxo"
BUILT_MODULE_LOCATION[13]="drivers/dahdi/"
DEST_MODULE_LOCATION[13]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[14]="wct1xxp"
BUILT_MODULE_LOCATION[14]="drivers/dahdi/"
DEST_MODULE_LOCATION[14]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[15]="wct4xxp"
BUILT_MODULE_LOCATION[15]="drivers/dahdi/wct4xxp/"
DEST_MODULE_LOCATION[15]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[16]="wctc4xxp"
BUILT_MODULE_LOCATION[16]="drivers/dahdi/wctc4xxp/"
DEST_MODULE_LOCATION[16]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[17]="wctdm"
BUILT_MODULE_LOCATION[17]="drivers/dahdi/"
DEST_MODULE_LOCATION[17]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[18]="wctdm24xxp"
BUILT_MODULE_LOCATION[18]="drivers/dahdi/wctdm24xxp/"
DEST_MODULE_LOCATION[18]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[19]="wcte11xp"
BUILT_MODULE_LOCATION[19]="drivers/dahdi/"
DEST_MODULE_LOCATION[19]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[20]="wcte12xp"
BUILT_MODULE_LOCATION[20]="drivers/dahdi/wcte12xp/"
DEST_MODULE_LOCATION[20]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[21]="xpd_fxo"
BUILT_MODULE_LOCATION[21]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[21]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[22]="xpd_fxs"
BUILT_MODULE_LOCATION[22]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[22]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[23]="xpd_pri"
BUILT_MODULE_LOCATION[23]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[23]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[24]="xpp"
BUILT_MODULE_LOCATION[24]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[24]="/kernel/drivers/telephony/dahdi"

BUILT_MODULE_NAME[25]="xpp_usb"
BUILT_MODULE_LOCATION[25]="drivers/dahdi/xpp/"
DEST_MODULE_LOCATION[25]="/kernel/drivers/telephony/dahdi"

AUTOINSTALL=yes
EOF

# cleanup
rm -f %{buildroot}%{_sbindir}/sethdlc
rm -rf %{buildroot}/usr/lib/hotplug/firmware
rm -f drivers/dahdi/firmware/*.{bin,gz}
rm -f %{buildroot}%{_libdir}/libtonezone.so.1.0
rm -f %{buildroot}%{_libdir}/libtonezone.so.1
find %{buildroot} -name "*.la" -delete

%pre tools
%_pre_useradd dahdi /usr/share/dahdi /sbin/nologin

%postun tools
%_postun_userdel dahdi

%post -n dkms-dahdi
dkms add	-m dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade &&
dkms build	-m dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade &&
dkms install	-m dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade --force
%_post_service dahdi

%preun -n dkms-dahdi
dkms remove -m	dahdi -v %{linux_version}-%{release} --rpm_safe_upgrade --all
%_preun_service dahdi

%pre -n dkms-dahdi
%_pre_useradd asterisk /var/lib/asterisk /bin/sh

%postun -n dkms-dahdi
%_postun_userdel asterisk

%files tools
%doc README UPGRADE.txt xpp/README.Astribank
%dir %{_sysconfdir}/dahdi
%config(noreplace) %{_sysconfdir}/dahdi/assigned-spans.conf
%config(noreplace) %{_sysconfdir}/dahdi/modules.sample
%config(noreplace) %{_sysconfdir}/dahdi/system.conf.sample
%config(noreplace) %{_sysconfdir}/dahdi/span-types.conf
%config(noreplace) %{_sysconfdir}/bash_completion.d/dahdi
%{_sbindir}/astribank_allow
%{_sbindir}/astribank_hexload
%{_sbindir}/astribank_is_starting
%{_sbindir}/astribank_tool
%{_sbindir}/dahdi_cfg
%{_sbindir}/dahdi_diag
%{_sbindir}/dahdi_genconf
%{_sbindir}/dahdi_hardware
%{_sbindir}/dahdi_maint
%{_sbindir}/dahdi_monitor
%{_sbindir}/dahdi-patgen
%{_sbindir}/dahdi_registration
%{_sbindir}/dahdi_scan
%{_sbindir}/dahdi_span_assignments
%{_sbindir}/dahdi_span_types
%{_sbindir}/dahdi_speed
%{_sbindir}/dahdi_test
%{_sbindir}/dahdi_tool
%{_sbindir}/dahdi_waitfor_span_assignments
%{_sbindir}/fxotune
%{_sbindir}/fxstest
%{_sbindir}/hdlcgen
%{_sbindir}/hdlcstress
%{_sbindir}/hdlctest
%{_sbindir}/hdlcverify
%{_sbindir}/lsdahdi
%{_sbindir}/patlooptest
%{_sbindir}/pattest
%{_sbindir}/timertest
%{_sbindir}/twinstar
%{_sbindir}/xpp_blink
%{_sbindir}/xpp_sync
%{_sbindir}/xtalk_send
%{_datadir}/dahdi/astribank_hook
%{_datadir}/dahdi/FPGA_1161.hex
%{_datadir}/dahdi/PIC_TYPE_1.hex
%{_datadir}/dahdi/PIC_TYPE_2.hex
%{_datadir}/dahdi/PIC_TYPE_3.hex
%{_datadir}/dahdi/PIC_TYPE_4.hex
%{_datadir}/dahdi/waitfor_xpds
%{_datadir}/dahdi/xpp_fxloader
%{_datadir}/dahdi/dahdi_auto_assign_compat
%{_datadir}/dahdi/dahdi_handle_device
%{_datadir}/dahdi/dahdi_span_config
%{_datadir}/dahdi/handle_device.d/10-span-types
%{_datadir}/dahdi/handle_device.d/20-span-assignments
%{_datadir}/dahdi/span_config.d/10-dahdi-cfg
%{_datadir}/dahdi/span_config.d/20-fxotune
%{_datadir}/dahdi/span_config.d/50-asterisk
%{_mandir}/man8/astribank_allow.8*
%{_mandir}/man8/astribank_hexload.8*
%{_mandir}/man8/astribank_is_starting.8*
%{_mandir}/man8/astribank_tool.8*
%{_mandir}/man8/dahdi_cfg.8*
%{_mandir}/man8/dahdi_genconf.8*
%{_mandir}/man8/dahdi_hardware.8*
%{_mandir}/man8/dahdi_maint.8*
%{_mandir}/man8/dahdi_monitor.8*
%{_mandir}/man8/dahdi_registration.8*
%{_mandir}/man8/dahdi_scan.8*
%{_mandir}/man8/dahdi_span_assignments.8*
%{_mandir}/man8/dahdi_span_types.8*
%{_mandir}/man8/dahdi_test.8*
%{_mandir}/man8/dahdi_tool.8*
%{_mandir}/man8/dahdi_waitfor_span_assignments.8*
%{_mandir}/man8/fxotune.8*
%{_mandir}/man8/lsdahdi.8*
%{_mandir}/man8/twinstar.8*
%{_mandir}/man8/xpp_blink.8*
%{_mandir}/man8/xpp_sync.8*
%{_mandir}/man8/xtalk_send*
%{_libdir}/pppd/*/dahdi.so

%files -n %{libname}
%doc README LICENSE LICENSE.LGPL
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/dahdi
%{_includedir}/dahdi/*.h
%{_libdir}/*.so

%files -n perl-Dahdi
%{perl_vendorlib}/Dahdi
%{perl_vendorlib}/Dahdi.pm

%files -n dkms-dahdi
%doc dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/README*
%doc dahdi-linux-%{linux_version}%{?beta_linux:-%{beta_linux}}/UPGRADE.*
%{_udevrulesdir}/40-dahdi.rules
%{_udevrulesdir}/40-xpp.rules
/lib/firmware/dahdi*
/lib/firmware/.dahdi*
%{_datadir}/dahdi/FPGA_1141.hex
%{_datadir}/dahdi/FPGA_1151.hex
%{_datadir}/dahdi/FPGA_1161.201.hex
%{_datadir}/dahdi/FPGA_1161.202.hex
%{_datadir}/dahdi/FPGA_1161.203.hex
%{_datadir}/dahdi/FPGA_FXS.hex
%{_datadir}/dahdi/USB_FW.201.hex
%{_datadir}/dahdi/USB_FW.202.hex
%{_datadir}/dahdi/USB_FW.203.hex
%{_datadir}/dahdi/USB_FW.hex
%{_datadir}/dahdi/USB_RECOV.hex
%{_datadir}/dahdi/XppConfig.pm
%{_datadir}/dahdi/init_card_1_30
%{_datadir}/dahdi/init_card_2_30
%{_datadir}/dahdi/init_card_3_30
%{_datadir}/dahdi/init_card_4_30
%{_datadir}/dahdi/init_card_5_30
/usr/src/dahdi-%{linux_version}-%{release}


%changelog
* Wed May 22 2024 daviddavid <daviddavid> 2.11.1-9.mga10
+ Revision: 2066200
- add fedora patch to respect cflags

* Tue Mar 29 2022 umeabot <umeabot> 2.11.1-8.mga9
+ Revision: 1831567
- Mageia 9 Mass Rebuild

* Sun Jul 18 2021 wally <wally> 2.11.1-7.mga9
+ Revision: 1736826
- Rebuild for ppp 2.4.9

* Wed Aug 19 2020 martinw <martinw> 2.11.1-6.mga8
+ Revision: 1615910
- fix build with GCC 10

* Fri Feb 14 2020 umeabot <umeabot> 2.11.1-5.mga8
+ Revision: 1519214
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 06 2018 pterjan <pterjan> 2.11.1-4.mga7
+ Revision: 1318229
- Run autoreconf else it is upset with automake version

* Thu Oct 04 2018 tv <tv> 2.11.1-3.mga7
+ Revision: 1317513
- fix filelist
- fix perl path
- drop unappliable patch
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
+ oden <oden>
- 2.11.1

* Mon Nov 16 2015 oden <oden> 2.10.2-1.mga6
+ Revision: 903665
- attempt #2 to fix build
- attempt #1 to fix build
- 2.10.2

* Sun Nov 16 2014 danf <danf> 2.7.0.1-5.mga5
+ Revision: 797391
- Ignore "Arch dependent binaries in noarch package" build error due to firmware
  blobs included in the package
+ umeabot <umeabot>
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 2.7.0.1-3.mga5
+ Revision: 643570
- Replace libusb*-devel BuildRequires by better ones

* Mon Oct 21 2013 umeabot <umeabot> 2.7.0.1-2.mga4
+ Revision: 539640
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 oden <oden> 2.7.0.1-1.mga4
+ Revision: 492565
- 2.7.0.1

* Tue Aug 06 2013 oden <oden> 2.7.0-1.mga4
+ Revision: 464263
- 2.7.0

* Wed Feb 13 2013 oden <oden> 2.6.1-2.mga3
+ Revision: 398208
- P3 + P4 fix build with linux kernel 3.8.x
- bump release
- fix build
- 2.6.1
- make it backportable

* Wed Jan 16 2013 fwang <fwang> 2.6.0-4.mga3
+ Revision: 388487
- correct udev rules dir

* Fri Jan 11 2013 umeabot <umeabot> 2.6.0-3.mga3
+ Revision: 348562
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 boklm <boklm> 2.6.0-2.mga3
+ Revision: 343967
- Add rel macro so that youri updater can bump release.

* Fri Nov 16 2012 fwang <fwang> 2.6.0-1.mga3
+ Revision: 318510
- fix build with gcc 4.7
- cleanup spec

* Sun Mar 25 2012 dlucio <dlucio> 2.6.0-1.mga2
+ Revision: 226386
- imported package dahdi


* Wed Feb 08 2012 Lonyai Gergely <aleph@mandriva.org> 2.6.0-1mdv2012.0
+ Revision: 771706
- Add dahdi_maint man page.
- Add missing firmware
- Add missing firmware
- Add missing firmware
- 2.6.0

* Wed Sep 28 2011 Lonyai Gergely <aleph@mandriva.org> 2.5.0.1-1
+ Revision: 701604
- Change a firmware file
- 2.5.0.1

* Thu Aug 18 2011 Lonyai Gergely <aleph@mandriva.org> 2.5.0-3
+ Revision: 695139
- 2.5.0
  Add a new card firmware
- dahdi-linux-2.4.1.2

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - new release (from aleph | 2011-04-12 15:42:38 +0200)

* Tue Apr 05 2011 Lonyai Gergely <aleph@mandriva.org> 2.4.1-2
+ Revision: 650536
- dahdi-linux-2.4.1.1

* Fri Mar 04 2011 Lonyai Gergely <aleph@mandriva.org> 2.4.1-1
+ Revision: 641576
- 2.4.1

* Mon Sep 13 2010 Lonyai Gergely <aleph@mandriva.org> 2.4.0-4mdv2011.0
+ Revision: 577933
- 2.4.0

* Thu Aug 26 2010 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 2.3.0-5mdv2011.0
+ Revision: 573411
- P2 to let compile in 2.6.34+

* Sat Jul 10 2010 Lonyai Gergely <aleph@mandriva.org> 2.3.0-4mdv2011.0
+ Revision: 550236
- release
- Update the dahdi-linux to 2.3.0.1

* Wed Apr 28 2010 Lonyai Gergely <aleph@mandriva.org> 2.3.0-3mdv2010.1
+ Revision: 540119
- Fix dkms.conf error
  Purge unnecessary patchs
- Fix the dkms.conf error

* Thu Apr 15 2010 Lonyai Gergely <aleph@mandriva.org> 2.3.0-2mdv2010.1
+ Revision: 535020
- Remove the dahdy_dummy.ko related things.

* Wed Apr 14 2010 Lonyai Gergely <aleph@mandriva.org> 2.3.0-1mdv2010.1
+ Revision: 534702
- 2.3.0

* Mon Mar 29 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1.1-2mdv2010.1
+ Revision: 528751
- reuse dahdi-to-kernel-2-6-33.diff patch

* Thu Mar 25 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1.1-1mdv2010.1
+ Revision: 527342
- 2.2.1.1
  Drop temporary patch: dahdi-to-kernel-2-6-33.diff

* Wed Mar 03 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1-4mdv2010.1
+ Revision: 513897
- More fix to kernel-2.6.33

* Wed Mar 03 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1-3mdv2010.1
+ Revision: 513826
- Fix compile error on kernel-2.6.33

* Tue Feb 02 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1-2mdv2010.1
+ Revision: 499470
- Fix the udev rules of xpp

* Tue Jan 26 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 496769
- 2.2.1

* Wed Jan 06 2010 Lonyai Gergely <aleph@mandriva.org> 2.2.1-0.rc2.1mdv2010.1
+ Revision: 486732
- 2.2.1-rc2
- revisioning the spec file

* Thu Oct 15 2009 Lonyai Gergely <aleph@mandriva.org> 2.2.0-3mdv2010.0
+ Revision: 457698
- fix #53377 - dkms-dahdi cannot compile on kernel 2.6.31

* Tue Sep 29 2009 Lonyai Gergely <aleph@mandriva.org> 2.2.0-2mdv2010.0
+ Revision: 450805
- release
- dahdi-tools-2.2.0
  dahdi-linux-2.2.0.2
  fix udev rules syntax
- disable selinux support

* Wed Jul 15 2009 Lonyai Gergely <aleph@mandriva.org> 2.2.0-1mdv2010.0
+ Revision: 396206
- tools version: 2.2.0
 - kernel modules version: 2.2.0.1

* Tue May 12 2009 Lonyai Gergely <aleph@mandriva.org> 2.1.0.2-3mdv2010.0
+ Revision: 374912
- fixing 'wctc4xxp vs. kernel-2.6.29' compile error

* Wed Feb 04 2009 Stefan van der Eijk <stefan@mandriva.org> 2.1.0.2-2mdv2009.1
+ Revision: 337280
- linux_version 2.1.0.4

* Tue Jan 06 2009 Stefan van der Eijk <stefan@mandriva.org> 2.1.0.2-1mdv2009.1
+ Revision: 326167
- tools_version 2.1.0.2, linux_version 2.1.0.3

* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2009.1
+ Revision: 312899
- import dahdi


* Thu Dec 11 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2009.0
- initial Mandriva release (replaces zaptel)
